Subject: bug#74383: 29.4; Emacs PGTK crashes on Void Linux

From: Eli Zaretskii <[email-masked]>
Date: Sat, 16 Nov 2024 20:42:30 +0200

> From: Taha Aziz Ben Ali <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 16 Nov 2024 19:01:06 +0100
> 
> > Do you have the XPM library installed and available to Emacs?
> 
> Yes, the package manager indicates I have the necessary package
> installed:
> 
>     ~ $ xbps-query -Rs xpm
>     [*] libXpm-3.5.17_1       X PixMap Library from modular Xorg X11

What does the below display (assuming it doesn't crash)?

  $ emacs -Q -batch --eval "(message \"%s\" (image-type-available-p 'xpm))"

> > But the features actually available to Emacs don't include XPM:
> >
> > So I wonder how this happened.
> >
> > Did you build Emacs yourself, or was it installed from some distro?
> 
> I used the officially packaged Void Linux "emacs-pgtk" package. Do you
> think this is a packaging issue?

Could be.  If the above command doesn't show "t", I would suggest to
take this up with the distro folks.